﻿using System;
using HeuristicLab.Core;
using System.Collections.Generic;
using HeuristicLab.Data;
using HeuristicLab.Common;

namespace HeuristicLab.Problems.MetaOptimization {
  public interface IParameterConfiguration : IOptimizable, INamedItem {
    string ParameterName { get; set; }
    Type ParameterDataType { get; }
    ICheckedValueConfigurationList ValueConfigurations { get; }
    Type[] ValidTypes { get; }
    int ActualValueConfigurationIndex { get; set; }

    void Parameterize(IValueParameter parameter);
    void UpdateActualValueIndexToItem(IValueConfiguration vc);
  }
}
